;; using integrate-simpson-recursive to handle variable endpoints:
(let ((eps 1e-8))
  ;; 17.4 of Stewart's calculus text....
  (defun g(x y) (* 2 (- (* x (sin y)) (* y (sin x)))))
  (defun top(x) x)
  (defun bottom(x) (^ x 2))
  (integrate-simpson-recursive
   (lambda(x)
     (integrate-simpson-recursive 
      (lambda(y) (g x y))
      (bottom x)
      (top x)
      eps)
     )
   0 1 eps
   )
  )
